Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
after emerge glibc ,I can not emerge any pachages.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
zphou
n00b
n00b


Joined: 18 Oct 2004
Posts: 14

PostPosted: Fri Sep 16, 2005 9:36 am    Post subject: after emerge glibc ,I can not emerge any pachages. Reply with quote

I begain with stage2,and use gcc-4.0.1.after I emege gcc .glibc ,and I have switched gcc to 4.0.1.After this steps ,I wfound I can not emerge any packages. errors are as below :
Code:

creating cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... /bin/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -march=athlon-mp -pipe -Wl,-O1) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

Please tell me what shall I do. thanks!
Back to top
View user's profile Send private message
kimchi_sg
Advocate
Advocate


Joined: 26 Nov 2004
Posts: 2915
Location: Singapore

PostPosted: Fri Sep 16, 2005 9:43 am    Post subject: Reply with quote

Try switching back to gcc 3.4.x or gcc 3.3.x.

Run gcc-config -l and see if there are any gcc 3.x.x profiles still installed. For example, this is a gcc 3.3.6 profile on my system:
Code:

gentoo qizhi # gcc-config -l
 [1] i686-pc-linux-gnu-3.3.6

If you see a gcc 3.x.x profile in gcc-config's output, activate it by running gcc-config X && env-update && source /etc/profile, where X is the profile number. In the above example, to activate gcc 3.3.6 i would run gcc-config 1 && env-update && source /etc/profile.
_________________
Murphy's Law of Gentoo installation: If a compile can fail, it will.

MacGillicuddy's Corollary: At the most inopportune time.

Please search and read the FAQs before posting.


Last edited by kimchi_sg on Fri Sep 16, 2005 9:44 am; edited 1 time in total
Back to top
View user's profile Send private message
ecosta
Guru
Guru


Joined: 09 May 2003
Posts: 477
Location: Brussels,BE

PostPosted: Fri Sep 16, 2005 9:43 am    Post subject: Reply with quote

Hi,
From what I can see, gcc-4.0.1 in't supported at all:
http://packages.gentoo.org/search/?sstring=gcc

gcc
Description: The GNU Compiler Collection. Includes C/C++, java compilers, pie+ssp extensions, Haj Ten Brugge runtime bounds checking
Releases alpha amd64 arm hppa ia64 mips ppc ppc64 ppc macos s390 sh sparc x86
4.0.2_pre20050913 - - - - - - - - - - - - -
4.0.1 - - - - - - - - - - - - -
3.4.4-r1 ~ + + ~ ~ ~ + + - - + ~ ~

You might want to downgrade to a stagle version such as: gcc-3.3.6
Back to top
View user's profile Send private message
zphou
n00b
n00b


Joined: 18 Oct 2004
Posts: 14

PostPosted: Fri Sep 16, 2005 10:13 am    Post subject: Reply with quote

kimchi_sg wrote:
Try switching back to gcc 3.4.x or gcc 3.3.x.

Run gcc-config -l and see if there are any gcc 3.x.x profiles still installed. For example, this is a gcc 3.3.6 profile on my system:
Code:

gentoo qizhi # gcc-config -l
 [1] i686-pc-linux-gnu-3.3.6

If you see a gcc 3.x.x profile in gcc-config's output, activate it by running gcc-config X && env-update && source /etc/profile, where X is the profile number. In the above example, to activate gcc 3.3.6 i would run gcc-config 1 && env-update && source /etc/profile.


I can not emerge anything even i switch to gcc-3.4.3
Back to top
View user's profile Send private message
kimchi_sg
Advocate
Advocate


Joined: 26 Nov 2004
Posts: 2915
Location: Singapore

PostPosted: Fri Sep 16, 2005 11:57 am    Post subject: Reply with quote

Please remove this bit from your CFLAGS and retry:
Code:
-Wl,-O1

_________________
Murphy's Law of Gentoo installation: If a compile can fail, it will.

MacGillicuddy's Corollary: At the most inopportune time.

Please search and read the FAQs before posting.
Back to top
View user's profile Send private message
zphou
n00b
n00b


Joined: 18 Oct 2004
Posts: 14

PostPosted: Sat Sep 17, 2005 2:44 am    Post subject: Reply with quote

kimchi_sg wrote:
Please remove this bit from your CFLAGS and retry:
Code:
-Wl,-O1

I have done waht you said ,but it doesn't work .
Back to top
View user's profile Send private message
ts
Tux's lil' helper
Tux's lil' helper


Joined: 15 Dec 2004
Posts: 97

PostPosted: Sat Oct 01, 2005 7:12 pm    Post subject: Re: after emerge glibc ,I can not emerge any pachages. Reply with quote

zphou wrote:
I begain with stage2,and use gcc-4.0.1.after I emege gcc .glibc ,and I have switched gcc to 4.0.1.After this steps ,I wfound I can not emerge any packages. errors are as below :
Code:

creating cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... /bin/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -march=athlon-mp -pipe -Wl,-O1) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

Please tell me what shall I do. thanks!


I have the same problem, and solved. Please check link https://forums.gentoo.org/viewtopic-p-2767120.html#2767120
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Sat Oct 01, 2005 9:42 pm    Post subject: Reply with quote

Please keep gcc 4 related questions in GCC-4.0 (part 3), as it isn't really ready for general use at the moment.

Moved from Installing Gentoo to Duplicate Threads.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum